ilu_zcopy_to_ucol.c File Reference

Copy a computed column of U to the compressed data structure and drop some small entries. More...

`#include "slu_zdefs.h"`
Include dependency graph for ilu_zcopy_to_ucol.c:

## Functions

void | zcopy_ (int *, doublecomplex[], int *, doublecomplex[], int *)
int | ilu_zcopy_to_ucol (int jcol, int nseg, int *segrep, int *repfnz, int *perm_r, doublecomplex *dense, int drop_rule, milu_t milu, double drop_tol, int quota, doublecomplex *sum, int *nnzUj, GlobalLU_t *Glu, double *work)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.1) --
    Lawrence Berkeley National Laboratory
    November, 2010

## Function Documentation

## ilu_zcopy_to_ucol()

int ilu_zcopy_to_ucol | ( | int | jcol,
|  | int | nseg,
|  | int * | segrep,
|  | int * | repfnz,
|  | int * | perm_r,
|  | doublecomplex * | dense,
|  | int | drop_rule,
|  | milu_t | milu,
|  | double | drop_tol,
|  | int | quota,
|  | doublecomplex * | sum,
|  | int * | nnzUj,
|  | GlobalLU_t * | Glu,
|  | double * | work
| ) |  |

Here is the call graph for this function:

## zcopy_()

void zcopy_ | ( | int * | ,
|  | doublecomplex | [],
|  | int * | ,
|  | doublecomplex | [],
|  | int * |
| ) |  |